import requests
import json 

OLLAMA_API_URL = "http://localhost:11434/api/chat"

def query_ollama_taide(messages):
    payload = {
        "model": "taide-local",
        "prompt": messages,
        "stream": False
    }

    try:
        response = requests.post(OLLAMA_API_URL, json=payload)
        response.raise_for_status()
        result = response.json()
        return result.get('message', {}).get('content', '')
    except requests.RequestException as e:
        print(f"Error calling Ollama API:{e}")
        return None 
    
def simple_rag(question, context):
    system_prompt = "你是一個來自台灣的AI助理，你的名字是 TAIDE，樂於以台灣人的立場幫助使用者，會用繁體中文回答問題。"
    user_prompt = f"根據以下上下文回答問題：\n\n上下文：{context}\n\n問題：{question}\n\n請提供簡潔的回答。"

    messages = [
        {"role": "system", "content":system_prompt},
        {"role":"user", "content":user_prompt}
    ]
    
    return query_ollama_taide(messages)

if __name__ == "__main__":
    context = "台灣在2050年訂立了淨零排放目標，並制定了相關法規和政策來推動減碳。"
    question = "台灣的溫室氣體排放法規目標是什麼？"